Subject: FT-65R 6.25kHz Step Missing

Description

Trying to load some frequencies into the FT-65R, it appears Chirp does not support the 6.25kHz step size for this radio, even though

the radio supports it. The only available step sizes in the pulldown list are 0, 5, 10, 12.5, 15, 20, 25, 50, and 100kHz.

Associated revisions

Revision 3472:1013704b513f - 02/03/2021 07:22 pm - Jim Unroe 

[FT-65R] Update valid_tuning_steps to include 6.25 KHz

The 6.25 KHz tuning step is removed for some radio models sold in the USA.

This patch restores the 6.26 KHz step to the Yaesu FT-65R.

related to #8789

History

#1 - 02/03/2021 05:25 am - Jim Unroe

- Status changed from New to Feedback

- Platform changed from Windows to All

The driver module intentionally removes the 6.25 step. There is a note that states "these steps encode to 0-9 on all radios, but encoding #2 [6.25] is

disallowed on the US versions".

Do you know what the list of valid steps for the FT-65R actually are (it appears to be menu 30)?

Jim KC9HI

#2 - 02/03/2021 09:55 am - Eric Hidle

Thank you for your quick reply, Jim!

The valid steps in Menu 30 on my radio are:

AUTO, 5, 6.25, 10, 12.5, 15, 20, 25, 50, and 100kHz.

I guess 0 in the software would translate to Auto in the radio?
#3 - 02/03/2021 10:19 am - Jim Unroe

Give me a few minutes to attach something that you can test.

Jim KC9HI

#4 - 02/03/2021 10:23 am - Eric Hidle

I actually downloaded the source and found the spot in the driver where 6.25 is removed from the list and commented it out. The radio will program

with 6.25kHz step sizes now. Thanks a bunch for pointing me in the right direction!

Eric

W2JKT

#5 - 02/03/2021 10:44 am - Jim Unroe

- Status changed from Feedback to In Progress

- Assignee set to Jim Unroe

- Target version set to chirp-daily

- % Done changed from 0 to 90

Eric,

Give this test driver module a try. Here is how you use it.

1. save the test driver module to a convenient location (do not right-click to download)

2. enable the "Enable Developer Functions) setting in the "Help" menu.

3. use the "Load Module" selection in the "File" menu to locate and load the test driver module saved in step 1.

The CHIRP background will turn red to let you know a test driver module is running. Note that this test driver module does not permanently change

your CHIRP installation in any way. Every time you load CHIRP you must load this test driver module before you have access to the 6.25 KHz step

value for the FT-65R.

Let me know how it goes.

Jim KC9HI

#6 - 02/03/2021 10:45 am - Jim Unroe

- File ft4(with_6.25_step_for_ft-65r).py added

#7 - 02/03/2021 11:03 am - Eric Hidle

That also seemed to work just fine. Thanks

Eric

#8 - 02/03/2021 11:26 am - Jim Unroe

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100
Thanks Eric. Patch submitted.

Jim KC9HI

#9 - 04/02/2021 02:07 pm - Bernhard Hailer

- Status changed from Resolved to Closed

#10 - 04/02/2021 02:08 pm - Bernhard Hailer

- Model affected changed from FT-65R to Yaesu FT-65R

Files

ft4(with_6.25_step_for_ft-65r).py 51.1 kB 02/03/2021 Jim Unroe
